com.amazonaws.services.elastictranscoder.model

## Class CreatePresetRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.elastictranscoder.model.CreatePresetRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class CreatePresetRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

The `CreatePresetRequest` structure.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`CreatePresetRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CreatePresetRequest` `clone()`
`boolean` `equals(Object obj)`
`AudioParameters` `getAudio()` A section of the request body that specifies the audio parameters.
`String` `getContainer()` The container type for the output file.
`String` `getDescription()` A description of the preset.
`String` `getName()` The name of the preset.
`Thumbnails` `getThumbnails()` A section of the request body that specifies the thumbnail parameters, if any.
`VideoParameters` `getVideo()` A section of the request body that specifies the video parameters.
`int` `hashCode()`
`void` `setAudio(AudioParameters audio)` A section of the request body that specifies the audio parameters.
`void` `setContainer(String container)` The container type for the output file.
`void` `setDescription(String description)` A description of the preset.
`void` `setName(String name)` The name of the preset.
`void` `setThumbnails(Thumbnails thumbnails)` A section of the request body that specifies the thumbnail parameters, if any.
`void` `setVideo(VideoParameters video)` A section of the request body that specifies the video parameters.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreatePresetRequest` `withAudio(AudioParameters audio)` A section of the request body that specifies the audio parameters.
`CreatePresetRequest` `withContainer(String container)` The container type for the output file.
`CreatePresetRequest` `withDescription(String description)` A description of the preset.
`CreatePresetRequest` `withName(String name)` The name of the preset.
`CreatePresetRequest` `withThumbnails(Thumbnails thumbnails)` A section of the request body that specifies the thumbnail parameters, if any.
`CreatePresetRequest` `withVideo(VideoParameters video)` A section of the request body that specifies the video parameters.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreatePresetRequest

    public CreatePresetRequest()

### Method Detail

#### setName

    public void setName(String name)

The name of the preset. We recommend that the name be unique within the AWS account, but uniqueness is not enforced.

Parameters:
  `name` - The name of the preset. We recommend that the name be unique within the AWS account, but uniqueness is not enforced.

#### getName

    public String getName()

The name of the preset. We recommend that the name be unique within the AWS account, but uniqueness is not enforced.

Returns:
  The name of the preset. We recommend that the name be unique within the AWS account, but uniqueness is not enforced.

#### withName

    public CreatePresetRequest withName(String name)

The name of the preset. We recommend that the name be unique within the AWS account, but uniqueness is not enforced.

Parameters:
  `name` - The name of the preset. We recommend that the name be unique within the AWS account, but uniqueness is not enforced.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDescription

    public void setDescription(String description)

A description of the preset.

Parameters:
  `description` - A description of the preset.

#### getDescription

    public String getDescription()

A description of the preset.

Returns:
  A description of the preset.

#### withDescription

    public CreatePresetRequest withDescription(String description)

A description of the preset.

Parameters:
  `description` - A description of the preset.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setContainer

    public void setContainer(String container)

The container type for the output file. Valid values include `flac`, `flv`, `fmp4`, `gif`, `mp3`, `mp4`, `mpg`, `mxf`, `oga`, `ogg`, `ts`, and `webm`.

Parameters:
  `container` - The container type for the output file. Valid values include `flac`, `flv`, `fmp4`, `gif`, `mp3`, `mp4`, `mpg`, `mxf`, `oga`, `ogg`, `ts`, and `webm`.

#### getContainer

    public String getContainer()

The container type for the output file. Valid values include `flac`, `flv`, `fmp4`, `gif`, `mp3`, `mp4`, `mpg`, `mxf`, `oga`, `ogg`, `ts`, and `webm`.

Returns:
  The container type for the output file. Valid values include `flac`, `flv`, `fmp4`, `gif`, `mp3`, `mp4`, `mpg`, `mxf`, `oga`, `ogg`, `ts`, and `webm`.

#### withContainer

    public CreatePresetRequest withContainer(String container)

The container type for the output file. Valid values include `flac`, `flv`, `fmp4`, `gif`, `mp3`, `mp4`, `mpg`, `mxf`, `oga`, `ogg`, `ts`, and `webm`.

Parameters:
  `container` - The container type for the output file. Valid values include `flac`, `flv`, `fmp4`, `gif`, `mp3`, `mp4`, `mpg`, `mxf`, `oga`, `ogg`, `ts`, and `webm`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setVideo

    public void setVideo(VideoParameters video)

A section of the request body that specifies the video parameters.

Parameters:
  `video` - A section of the request body that specifies the video parameters.

#### getVideo

    public VideoParameters getVideo()

A section of the request body that specifies the video parameters.

Returns:
  A section of the request body that specifies the video parameters.

#### withVideo

    public CreatePresetRequest withVideo(VideoParameters video)

A section of the request body that specifies the video parameters.

Parameters:
  `video` - A section of the request body that specifies the video parameters.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setAudio

    public void setAudio(AudioParameters audio)

A section of the request body that specifies the audio parameters.

Parameters:
  `audio` - A section of the request body that specifies the audio parameters.

#### getAudio

    public AudioParameters getAudio()

A section of the request body that specifies the audio parameters.

Returns:
  A section of the request body that specifies the audio parameters.

#### withAudio

    public CreatePresetRequest withAudio(AudioParameters audio)

A section of the request body that specifies the audio parameters.

Parameters:
  `audio` - A section of the request body that specifies the audio parameters.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setThumbnails

    public void setThumbnails(Thumbnails thumbnails)

A section of the request body that specifies the thumbnail parameters, if any.

Parameters:
  `thumbnails` - A section of the request body that specifies the thumbnail parameters, if any.

#### getThumbnails

    public Thumbnails getThumbnails()

A section of the request body that specifies the thumbnail parameters, if any.

Returns:
  A section of the request body that specifies the thumbnail parameters, if any.

#### withThumbnails

    public CreatePresetRequest withThumbnails(Thumbnails thumbnails)

A section of the request body that specifies the thumbnail parameters, if any.

Parameters:
  `thumbnails` - A section of the request body that specifies the thumbnail parameters, if any.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CreatePresetRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`